package com.jxdinfo.hussar.core.bouncycastle.asn1;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jxdinfo.hussar.core.HussarCoreAutoConfiguration;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1Object;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1OctetString;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1TaggedObject;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERObject;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DEROutputStream;
import com.jxdinfo.hussar.core.bouncycastle.util.Arrays;
import java.io.IOException;
import java.math.BigInteger;

public class DEREnumerated extends ASN1Object {
  byte[] case;
  
  public DEREnumerated(int i) {
    this.case = BigInteger.valueOf(i).toByteArray();
  }
  
  boolean asn1Equals(DERObject dERObject) {
    if (!(dERObject instanceof com.jxdinfo.hussar.core.bouncycastle.asn1.DEREnumerated))
      return false; 
    while (true) {
      com.jxdinfo.hussar.core.bouncycastle.asn1.DEREnumerated dEREnumerated = (com.jxdinfo.hussar.core.bouncycastle.asn1.DEREnumerated)dERObject;
      return Arrays.areEqual(this.case, dEREnumerated.case);
    } 
  }
  
  void encode(DEROutputStream dEROutputStream) throws IOException {
    dEROutputStream.double(10, this.case);
  }
  
  public static com.jxdinfo.hussar.core.bouncycastle.asn1.DEREnumerated getInstance(ASN1TaggedObject a, int i) {
    DERObject dERObject = a.getObject();
    if (i != 0 || dERObject instanceof com.jxdinfo.hussar.core.bouncycastle.asn1.DEREnumerated)
      return getInstance(dERObject); 
    while (true)
      return new com.jxdinfo.hussar.core.bouncycastle.asn1.DEREnumerated(((ASN1OctetString)dERObject).getOctets()); 
  }
  
  public DEREnumerated(byte[] arrayOfByte) {
    this.case = arrayOfByte;
  }
  
  public int hashCode() {
    return Arrays.hashCode(this.case);
  }
  
  public DEREnumerated(BigInteger bigInteger) {
    this.case = bigInteger.toByteArray();
  }
  
  public static com.jxdinfo.hussar.core.bouncycastle.asn1.DEREnumerated getInstance(Object a) {
    if (a == null || a instanceof com.jxdinfo.hussar.core.bouncycastle.asn1.DEREnumerated)
      return (com.jxdinfo.hussar.core.bouncycastle.asn1.DEREnumerated)a; 
    while (true)
      throw new IllegalArgumentException((new StringBuilder()).insert(0, HussarCoreAutoConfiguration.transient("~@$V08QxS-A=_\0077\001bPs\035h&e\017l\bc\033yC=")).append(a.getClass().getName()).toString()); 
  }
  
  public BigInteger getValue() {
    return new BigInteger(this.case);
  }
}
